[pkg] include changeset that shipped with the bw-compat-breaking yams 0.39 (closes #207593) [applied]